# Asterisk Project : Asterisk 12 Application_CELGenUserEvent

Added by wikibot , edited by wikibot on Aug 29, 2013

# CELGenUserEvent()

### Synopsis

Generates a CEL User Defined Event.

### Description

A CEL event will be immediately generated by this channel, with the supplied name for a type.

### Syntax

    CELGenUserEvent(event-name[extra])

##### Arguments

- `event-name`
  - `event-name`
  - `extra` - Extra text to be included with the event.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown